open Xml
open Dtd
open Num
open Unix
open Utile
open Entiers
open Polynomes2
open Gb_compute;;

(***********************************************************************
 La tactique
*)


let buf = ref "" in
    
try

	while true do
		match read_line() with
		| s -> 
			buf := !buf ^ s ^ "\n"
	done
with
	End_of_file ->
	  (* on lit le Xml *)
	  let sxml = (Xml.parse_string !buf) in
	  init_trace ();
	  (* trace (Xml.to_string_fmt sxml);*)
          let (lp,_,_)= parse_request sxml in
	  (* la on calcule la base de grobner *)
          let lc = comb_lin1 lp in
	  (* on traduit le resultat en Xml *)
          let lc = List.map mk_term lc in
          let termxml =
	    List.fold_right
	      (fun t r ->
		  mk_app luri lceq [t;r])
               lc
               (mk_elt luri lnil []) in
	  
          print_string "<TERM>"; print_newline();
          print_string (Xml.to_string_fmt termxml);
          print_string "</TERM>"; print_newline();
          print_newline()
;;
